Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var basic = [//图形
{
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><rect x="1.44" y="7.68" width="28.8" height="14.4" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" pointer-events="all"></rect></g></g><g></g><g></g></g></svg>',
  value: 'rounded=0;whiteSpace=wrap;html=1;',
  w: 120,
  h: 60
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><rect x="1.44" y="7.68" width="28.8" height="14.4" rx="2.16" ry="2.16" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" pointer-events="all"></rect></g></g><g></g><g></g></g></svg>',
  value: 'rounded=1;whiteSpace=wrap;html=1;',
  w: 120,
  h: 60
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><ellipse cx="15.84" cy="14.88" rx="14.399999999999999" ry="9.6" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" pointer-events="all"></ellipse></g></g><g></g><g></g></g></svg>',
  value: 'shape=ellipse;whiteSpace=wrap;html=1;aspect=fixed;',
  w: 120,
  h: 60
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><rect x="2.38" y="1.36" width="27.2" height="27.2" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" pointer-events="all"></rect></g></g><g></g><g></g></g></svg>',
  value: 'whiteSpace=wrap;html=1;aspect=fixed;',
  w: 80,
  h: 80
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><ellipse cx="15.98" cy="14.96" rx="13.600000000000001" ry="13.600000000000001" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" pointer-events="all"></ellipse></g></g><g></g><g></g></g></svg>',
  value: 'shape=ellipse;whiteSpace=wrap;html=1;aspect=fixed;',
  w: 80,
  h: 80
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 15.98 1.36 L 29.58 14.96 L 15.98 28.56 L 2.38 14.96 Z" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
  value: 'shape=rhombus;whiteSpace=wrap;html=1;',
  w: 80,
  h: 80
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 1.44 22.08 L 6.24 7.68 L 30.24 7.68 L 25.44 22.08 Z" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
  value: 'shape=parallelogram;perimeter=parallelogramPerimeter;whiteSpace=wrap;html=1;fixedSize=1;',
  w: 120,
  h: 60
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 6.24 5.28 L 25.44 5.28 L 30.24 14.88 L 25.44 24.48 L 6.24 24.48 L 1.44 14.88 Z" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
  value: 'shape=hexagon;perimeter=hexagonPerimeter2;whiteSpace=wrap;html=1;fixedSize=1;',
  w: 120,
  h: 60
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 5.78 1.36 L 26.18 14.96 L 5.78 28.56 Z" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
  value: 'shape=triangle;whiteSpace=wrap;html=1;',
  w: 60,
  h: 80
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 1.44 5.28 L 25.44 5.28 L 30.24 14.88 L 25.44 24.48 L 1.44 24.48 L 6.24 14.88 Z" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
  value: 'shape=step;perimeter=stepPerimeter;whiteSpace=wrap;html=1;fixedSize=1;',
  w: 120,
  h: 80
}, {
  icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 13.23 1.35 L 26.73 1.35 L 26.73 28.35 L 5.13 28.35 L 5.13 9.45 Z" fill="rgb(255, 255, 255)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
  value: 'shape=card;whiteSpace=wrap;html=1;',
  w: 80,
  h: 100
} //线条
//	{
//		icon: '<svg style="left: 1px; top: 1px; width: 32px; height: 30px; display: block; position: relative; overflow: hidden;"><g><g></g><g><g transform="translate(0.5,0.5)" style="visibility: visible;"><path d="M 3.06 28.56 Q 28.56 28.56 15.81 15.81 Q 3.06 3.06 25.31 3.06" fill="none" stroke="white" stroke-width="9.3" stroke-miterlimit="10" pointer-events="stroke" visibility="hidden"></path><path d="M 3.06 28.56 Q 28.56 28.56 15.81 15.81 Q 3.06 3.06 25.31 3.06" fill="none" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="stroke"></path><path d="M 27.99 3.06 L 24.42 4.84 L 25.31 3.06 L 24.42 1.27 Z" fill="rgb(0, 0, 0)" stroke="rgb(0, 0, 0)" stroke-width="1.3" stroke-miterlimit="10" pointer-events="all"></path></g></g><g></g><g></g></g></svg>',
//		value: 'shape=flexArrow;endArrow=classic;html=1;',
//		w: 50,
//		h: 50
//	},
];
var _default = basic;
exports.default = _default;